Subject: Re: bug#79397: 29.3; ffap-latex-mode should be modified after upstream kpsewhich update

From: Arash Esbati <[email-masked]>
Date: Sat, 13 Sep 2025 22:36:38 +0200

Leo Stein <[email-masked]> writes:

> If you run this from a terminal, with the new kpsewhich, you will see
> that there are a bunch of blank lines both before and after the
> correct path. All of the non-matching paths (e.g. CambridgeUS.sty)
> result in blank lines.

Thanks for explanation, I now see what's happening.

> The reason you didn't find any issue with hyperref is because the
> first argument to kpsewhich happened to actually exist in the tex
> tree.

Yes, thanks.  Technically, I didn't read the code of `ffap-latex-mode'
careful enough to see how it uses the value of `ffap-latex-guess-rules'.

Best, Arash